using Google.Apis.Auth.OAuth2;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PDF_Office.Model.CloudDrive
{
    //云盘信息
    public enum CloudType
    {
        Box,
        DropBox,
        GoogleDrive,
        OneDrive
    }


    public class CloudBoxItem
    {
        public CloudType CloudDiskType { get; set; }
        public List<UserCredential> UserCredentials { get; set; }
        public string UsersInfoPath { get; set; }
        public int Id { get; set; }
        public string DriveName { get; private set; }
        public CloudBoxItem(CloudType cloudDiskType)
        {
            CloudDiskType = cloudDiskType;
            GetName(CloudDiskType);
        }

        private void GetName(CloudType cloudDiskType)
        {
            switch (cloudDiskType)
            {
                case CloudType.Box:
                    DriveName = "Box";
                    break;
                case CloudType.DropBox:
                    DriveName = "DropBox";
                    break;
                case CloudType.GoogleDrive:
                    DriveName = "Google Drive";
                    break;
                case CloudType.OneDrive:
                    DriveName = "OneDrive";
                    break;

            }
        }
    }
}
